Flutter_Nectar 0.1.0

  • README.md
  • Installing
  • Versions
  • 0

Nectar

Flutter widget to fade the display of an network image. You can configure the 'waiting' child and the fading duration.

Usage

new NectarImage.loadingScreen(
        'https://camo.githubusercontent.com/cc78649bf43a7295cbab36eb7b5c7fe05b0f2bdb/68747470733a2f2f666c75747465722e696f2f696d616765732f666c75747465722d6d61726b2d7371756172652d3130302e706e67',
        duration: 4000, // optional
        backgroundColor: Colors.white, // optional, define default waiting background
        foregroundColor: Colors.blue, // optional, define default waiting foreground
        // optional, replace waiting with your Widget like your animation or image.
        /*waiting: new Icon(
            Icons.person,
            size: 18.0,
            color: Colors.red
        )*/
      ),

Getting Started

Find more Flutter Resources =>Awesome Flutter

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  Flutter_Nectar: ^0.1.0

2. Install it

You can install packages from the command line:

with pub:


$ pub get

with Flutter:


$ flutter packages get

Alternatively, your editor might support pub get or flutter packages get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:Flutter_Nectar/main.dart';
import 'package:Flutter_Nectar/solido.nectar.dart';
  
Version Uploaded Documentation Archive
0.1.0 May 14, 2017 Go to the documentation of Flutter_Nectar 0.1.0 Download Flutter_Nectar 0.1.0 archive
Popularity:
Describes how popular the package is relative to other packages. [more]
0
Health:
Code health derived from static analysis. [more]
--
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
--
Overall:
Weighted score of the above. [more]
0
Learn more about scoring.

The package version is not analyzed, because it does not support Dart 2. Until this is resolved, the package will receive a health and maintenance score of 0.

Health issues and suggestions

Fix lib/solido.nectar.dart. (-69.30 points)

Analysis of lib/solido.nectar.dart failed with 4 errors, 6 hints, including:

line 6 col 8: Target of URI doesn't exist: 'package:flutter/src/material/icon.dart'.

line 25 col 7: The argument type 'String' can't be assigned to the parameter type 'TargetPlatform'.

line 110 col 11: The method 'debugFillDescription' isn't defined in a superclass of 'StatefulWidget'.

line 230 col 11: The method 'debugFillDescription' isn't defined in a superclass of 'State'.

line 2 col 23: The name File is shown, but not used.

Fix lib/main.dart. (-57.81 points)

Analysis of lib/main.dart failed with 3 errors:

line 3 col 8: Target of URI doesn't exist: 'package:solido_nectar/solido.nectar.dart'.

line 37 col 14: The constructor returns type 'dynamic' that isn't of expected type 'Widget'.

line 37 col 18: Undefined class 'NectarImage.loadingScreen'.

Maintenance issues and suggestions

Add SDK constraint in pubspec.yaml. (-50 points)

For information about setting SDK constraint, please see https://www.dartlang.org/tools/pub/pubspec#sdk-constraints.

Fix platform conflicts. (-20 points)

Error(s) prevent platform classification:

Error(s) in lib/solido.nectar.dart: Target of URI doesn't exist: 'package:flutter/src/material/icon.dart'.

Running dartdoc failed. (-10 points)

Make sure dartdoc runs without any issues.

Maintain CHANGELOG.md. (-20 points)

Changelog entries help clients to follow the progress in your code.

Homepage does not exists. (-20 points)

We were unable to access https://github.com/Solido/Flutter-Nectar at the time of the analysis.

Documentation URL does not exists. (-10 points)

We were unable to access https://github.com/Solido/Flutter-Nectar at the time of the analysis.

Package is getting outdated. (-58.08 points)

The package was released 82 weeks ago.

The description is too short. (-20 points)

Add more detail about the package, what it does and what is its target use case. Try to write at least 60 characters.

Maintain an example. (-10 points)

Create a short demo in the example/ directory to show how to use this package. Common file name patterns include: main.dart, example.dart or you could also use Flutter_Nectar.dart.

Dependencies

Package Constraint Resolved Available
Direct dependencies
flutter 0.0.0
Transitive dependencies
collection 1.14.11
meta 1.1.6
sky_engine 0.0.99
typed_data 1.1.6
vector_math 2.0.8